package de.unikoblenz.fgbks.base.json;

import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import javax.json.bind.annotation.JsonbProperty;
import javax.json.bind.annotation.JsonbTransient;
import javax.json.bind.config.PropertyVisibilityStrategy;

/**
 * The private visibility strategy is used in {@link JsonConfiguration} for the visibility for json
 * serialization.
 */
public class PrivateVisibilityStrategy implements PropertyVisibilityStrategy {

  @Override
  public boolean isVisible(Field field) {
    return !field.isAnnotationPresent(JsonbTransient.class)
        && Modifier.isPublic(field.getModifiers());
  }

  @Override
  public boolean isVisible(Method method) {
    return Modifier.isPublic(method.getModifiers())
        && !method.isAnnotationPresent(JsonbTransient.class)
        || method.isAnnotationPresent(JsonbProperty.class);
  }
}
