package de.unikoblenz.fgbks.base.utils.boundary.bicreater;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import java.util.Optional;

/**
 * The upper bound creator implementation of {@link BoundaryBiCreaterType#UPPER_BOUNDS} for {@link
 * StringBoundary}. <br> The result is a new boundary is always empty. See {@link
 * BiCreaterStringLowerBounds} instead.
 */
public class BiCreaterStringUpperBounds extends AbstractBoundaryBiCreater<StringBoundary> {

  private static final BiCreaterStringUpperBounds instance = new BiCreaterStringUpperBounds();

  private BiCreaterStringUpperBounds() {
    super();
  }

  /**
   * Get the current instance of this class.
   *
   * @return the singleton instance
   */
  public static BiCreaterStringUpperBounds getInstance() {
    return instance;
  }

  @Override
  public BoundaryBiCreaterType getType() {
    return BoundaryBiCreaterType.UPPER_BOUNDS;
  }

  @Override
  public Optional<StringBoundary> create(StringBoundary b1, StringBoundary b2) {
    // Not supported for String Boundary
    // Check BiCreaterStringBetween.
    return Optional.empty();
  }
}
