package de.unikoblenz.fgbks.base.utils.boundary.creater;

import de.unikoblenz.fgbks.base.utils.boundary.Boundary;
import java.util.Optional;

/**
 * The creater interface. Used to create a new Boundary of a given one with a modification,
 * specified by the {@link BoundaryCreaterType}.
 *
 * @param <T> the boundary type
 */
public interface BoundaryCreater<T extends Boundary> {

  /**
   * Get the {@link BoundaryCreaterType}.
   *
   * @return the {@link BoundaryCreaterType}
   */
  BoundaryCreaterType getType();

  /**
   * Perform the creation of a new boundary with the given boundary.
   *
   * @param b the boundary
   * @return An optional with a new boundary or an empty optional, if the creation fails.
   */
  Optional<T> create(T b);
}
