package de.unikoblenz.fgbks.base.utils.boundary.creater;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import java.util.Optional;

/**
 * The upper creator implementation of {@link BoundaryCreaterType#UPPER} for {@link
 * StringBoundary}.
 * <br>
 * For the String creater this result is always empty. Use {@link BoundaryCreaterType#LOWER} and
 * {@link CreaterStringLower}.
 */
public class CreaterStringUpper extends AbstractBoundaryCreater<StringBoundary> {

  private static final CreaterStringUpper instance = new CreaterStringUpper();

  private CreaterStringUpper() {
    super();
  }

  /**
   * Get the current instance of this class.
   *
   * @return the singleton instance
   */
  public static CreaterStringUpper getInstance() {
    return instance;
  }

  @Override
  public BoundaryCreaterType getType() {
    return BoundaryCreaterType.UPPER;
  }

  @Override
  public Optional<StringBoundary> create(StringBoundary b) {
    // is every time empty, because there is no "Upper", the result for "Upper" is
    // inside the class CreaterStringLower
    return Optional.empty();
  }
}
