package de.unikoblenz.fgbks.base.value;

public abstract class AbstractLongValueObject<T extends AbstractLongValueObject<T>>
    extends AbstractNumberValueObject<T, Long> {

  protected AbstractLongValueObject() {
    // for JPA
  }

  public AbstractLongValueObject(Long initialValue) {
    super(initialValue);
  }

  public AbstractLongValueObject(String initialValue) {
    super(Long.parseLong(initialValue));
  }

  @Override
  public Long getValue() {
    return super.getValue();
  }

  @Override
  protected Long getMinValue() {
    return 0L;
  }

  @Override
  public T add(Long addValue) {
    return newInstance(getValue() + addValue);
  }

  @Override
  public T subtract(Long subtractValue) {
    return newInstance(getValue() - subtractValue);
  }

  @Override
  public T multiply(Long multiplyValue) {
    return newInstance(getValue() * multiplyValue);
  }

  @Override
  public T divide(Long divideValue) {
    return newInstance(getValue() / divideValue);
  }

  @Override
  public String toString() {
    return String.valueOf(getValue());
  }
}
