package de.unikoblenz.fgbks.core.dmn.domain.common;

import de.unikoblenz.fgbks.base.value.AbstractSimpleValueObject;
import org.apache.commons.lang3.Validate;

/**
 * Representing a row number of a dmn decision table.
 */
public class RowNumber extends AbstractSimpleValueObject<Long> {

  /**
   * Create a new RowNumber with the initial value.
   *
   * @param initialValue the row number
   */
  public RowNumber(Long initialValue) {
    super(initialValue);
  }

  @Override
  protected Long validateAndNormalize(Long newValue) {
    Long ret = super.validateAndNormalize(newValue);
    Validate.validState(ret > 0, "Row number have to be greater than 0.");
    return ret;
  }
}
