package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnDecisionTable;

/**
 * A decision table id, representing the id of a {@link VDmnDecisionTable}.
 */
@JsonIdentifier("decisionTableId")
public class DecisionTableId extends AbstractId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public DecisionTableId(DecisionTableId initialValue) {
    this(initialValue.getValue());
  }

  /**
   * Create new DecisionTableId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public DecisionTableId(String initialValue) {
    super(initialValue);
  }
}
