package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnInputValue;

/**
 * A input entry id, representing the id of the expression of a {@link VDmnInputValue}.
 */
@JsonIdentifier("inputEntryId")
public class InputEntryId extends AbstractId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public InputEntryId(InputEntryId initialValue) {
    this(initialValue.getValue());
  }

  /**
   * Create new InputEntryId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public InputEntryId(String initialValue) {
    super(initialValue);
  }
}
