package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnInputValue;

/**
 * A input entry id, representing the id of a {@link VDmnInputValue}.
 */
@JsonIdentifier("inputExpressionId")
public class InputExpressionId extends AbstractId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public InputExpressionId(InputExpressionId initialValue) {
    this(initialValue.getValue());
  }

  /**
   * Create new InputExpressionId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public InputExpressionId(String initialValue) {
    super(initialValue);
  }
}
