package de.unikoblenz.fgbks.core.dmn.domain.ids;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnOutputColumn;

/**
 * A output entry id, representing the id of the expression of a {@link VDmnOutputColumn}.
 */
@JsonIdentifier("outputEntryId")
public class OutputEntryId extends AbstractId {

  /**
   * Create a new copy of the initialValue with the id value of the given Id object.
   *
   * @param initialValue the original id
   */
  public OutputEntryId(OutputEntryId initialValue) {
    this(initialValue.getValue());
  }

  /**
   * Create new OutputEntryId with the id value of the initialValue.
   *
   * @param initialValue the value of the new id
   */
  public OutputEntryId(String initialValue) {
    super(initialValue);
  }
}
