package de.unikoblenz.fgbks.core.dmn.domain.vdmn;

import de.unikoblenz.fgbks.core.dmn.domain.ids.DecisionId;
import java.util.List;

/**
 * The decision node contains the {@link VDmnDecisionTable} and a list of {@link VDmnNode}s, which
 * are information requirements for the decision.
 */
public interface VDmnDecision extends VDmnNode {

  /**
   * Get the list of {@link VDmnNode}, which are are information requirements for the decision. See
   * also {@link VDmnNode#getInformationProvidingDecisions()}.
   *
   * @return the list of {@link VDmnNode}s
   */
  List<VDmnNode> getDmnInformationRequirements();

  VDmnDecisionTable getDmnDecisionTable();

  default DecisionId getDecisionId() {
    return (DecisionId) getId();
  }
}
