package de.unikoblenz.fgbks.core.dmn.domain.vdmn;

import de.unikoblenz.fgbks.core.dmn.domain.ids.OutputEntryId;

/**
 * This interface represents a single output value (or cell) in a {@link VDmnDecisionTable}. This is
 * a {@link VDmnValue}.
 */
public interface VDmnOutputValue extends VDmnValue {

  /**
   * Get the {@link OutputEntryId}.
   *
   * @return the {@link OutputEntryId}.
   */
  default OutputEntryId getOutputEntryId() {
    return (OutputEntryId) getId();
  }

  /**
   * Get the {@link VDmnOutputColumn}.
   *
   * @return the {@link VDmnOutputColumn}.
   */
  default VDmnOutputColumn getDmnOutputColumn() {
    return (VDmnOutputColumn) getDmnColumn();
  }
}
