package de.unikoblenz.fgbks.core.dmn.domain.vdmn.impl;

import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnDecision;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnDefinition;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnNode;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Optional;

/**
 * Implementation of {@link VDmnNode}
 */
public abstract class AbstractVDmnNode extends AbstractVDmnElement implements VDmnNode {

  protected VDmnDefinition dmnDefinition;
  protected List<VDmnDecision> informationProvidingDecisions;
  protected Name name;

  protected AbstractVDmnNode() {
    informationProvidingDecisions = new ArrayList<>();
  }

  @Override
  public VDmnDefinition getDmnDefinition() {
    return dmnDefinition;
  }

  @Override
  public List<VDmnDecision> getInformationProvidingDecisions() {
    return Collections.unmodifiableList(informationProvidingDecisions);
  }

  @Override
  public Optional<Name> getName() {
    return Optional.ofNullable(name);
  }
}
