package de.unikoblenz.fgbks.core.dmn.domain.vdmn.impl;

import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnInputValue;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnOutputValue;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnRule;
import org.apache.commons.lang3.Validate;

/**
 * Implementation of {@link VDmnRule}. Create a rule, which has changeable values
 */
public class VDmnRuleChangeableImpl extends VDmnRuleImpl {

  public VDmnRuleChangeableImpl(VDmnRuleImpl rule) {
    super();
    Validate.notNull(rule);
    super.dmnDecisionTable = rule.dmnDecisionTable;
    super.inputValues = rule.inputValues;
    super.outputValues = rule.outputValues;
    super.rowNumber = rule.rowNumber;
    super.id = rule.id;
  }

  public void setInputValue(int i, VDmnInputValue inputValue) {
    inputValues.set(i, inputValue);
  }

  public void setOutputValue(int i, VDmnOutputValue outputValue) {
    outputValues.set(i, outputValue);
  }
}
