package de.unikoblenz.fgbks.core.dmn.verification.verifier.config;

import java.util.HashMap;
import org.apache.commons.lang3.Validate;

public abstract class AbstractDmnVerifierConfig {

  private HashMap<String, Object> configurationProperties;
  private HashMap<String, Class<?>> configurationTypes;
  protected long verificationProcessId;

  public <E> E getConfiguration(String key) {
    return (E) configurationProperties.getOrDefault(key, null);
  }

  public Class<?> getConfigurationType(String key) {
    return configurationTypes.get(key);
  }

  public long getVerificationProcessId() {
    return verificationProcessId;
  }

  protected AbstractDmnVerifierConfig withConfigurationProperty(String key, Object value) {
    configurationProperties.put(Validate.notNull(key), Validate.notNull(value));
    configurationTypes.put(key, value.getClass());
    return this;
  }

  protected AbstractDmnVerifierConfig() {
    configurationProperties = new HashMap<>();
    configurationTypes = new HashMap<>();
  }
}
