package de.unikoblenz.fgbks.core.dmn.verification.verifier.impl;

import static de.unikoblenz.fgbks.core.dmn.verification.result.actions.VerificationFix.SHOW_INPUT_DATA;

import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VDmnInputData;
import de.unikoblenz.fgbks.core.dmn.verification.result.VerificationResultEntry.VerificationClassification;
import de.unikoblenz.fgbks.core.dmn.verification.result.VerificationResultEntryElement;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.AbstractVerifier;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.DmnVerifier;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.types.LonelyDataInputVerification;

@DmnVerifier(verifierType = LonelyDataInputVerification.class)
public class LonelyDataInputVerifier extends AbstractVerifier {

  private Name defaultName = new Name("[no name]");

  @Override
  protected void doVerification() {
    for (VDmnInputData i : dmnObjectContainer.getVDmnDefinition().getDmnInputData()) {
      if (i.getInformationProvidingDecisions().isEmpty()) {
        vreFactory
            .addElement(VerificationResultEntryElement.create(i))
            .addVerificationFix(SHOW_INPUT_DATA)
            .addToEntry(
                VerificationClassification.WARNING,
                "Input data \"%s\" has no outgoing connections to at least one decision node.",
                i.getName().orElse(defaultName));
      }
    }
  }
}
