package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ModelingLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class EmptyOutputVerification extends AbstractVerificationType {

  private static final EmptyOutputVerification instance = new EmptyOutputVerification();

  private EmptyOutputVerification() {
    super(
        new Name("EmptyOutputVerification"),
        new Name("Empty Output"),
        new Description("Detection rules with an empty output values."));
  }

  public static EmptyOutputVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return ModelingLevelVerification.getInstance();
  }
}
