package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DecisionLogicLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class IdenticalRuleVerification extends AbstractVerificationType {

  private static final IdenticalRuleVerification instance = new IdenticalRuleVerification();

  private IdenticalRuleVerification() {
    super(
        new Name("Identical Rules"),
        new Description(
            "Detecting rules which have an identical input, "
                + "i.e. are redundant."));
  }

  public static IdenticalRuleVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DecisionLogicLevelVerification.getInstance();
  }
}
