package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DrdModelingLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class LonelyDataInputVerification extends AbstractVerificationType {

  private static final LonelyDataInputVerification instance = new LonelyDataInputVerification();

  private LonelyDataInputVerification() {
    super(
        new Name("LonelyDataInputVerification"),
        new Name("Lonely Data Input"),
        new Description(
            "Detection input data nodes,"
                + " which has no connection to at least one decision table."));
  }

  public static LonelyDataInputVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DrdModelingLevelVerification.getInstance();
  }
}
