package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ModelingLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class MissingInputValueVerification extends AbstractVerificationType {

  private static final MissingInputValueVerification instance = new MissingInputValueVerification();

  private MissingInputValueVerification() {
    super(
        new Name("MissingInputValueVerification"),
        new Name("Missing Input Value"),
        new Description(
            "Detecting output values of output columns in decision tables"
                + " which are not used in the connected decision table as input values."));
  }

  public static MissingInputValueVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return ModelingLevelVerification.getInstance();
  }
}
