package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ModelingLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class MissingOutputValueVerification extends AbstractVerificationType {

  private static final MissingOutputValueVerification instance = new MissingOutputValueVerification();

  private MissingOutputValueVerification() {
    super(
        new Name("MissingOutputValueVerification"),
        new Name("Missing Output Value"),
        new Description(
            "Detecting input values of input columns in decision tables "
                + "which are not defined in the connected decision table as output values."));
  }

  public static MissingOutputValueVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return ModelingLevelVerification.getInstance();
  }
}
