package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DecisionLogicLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class MissingRuleVerification extends AbstractVerificationType {

  private static final MissingRuleVerification instance = new MissingRuleVerification();

  private MissingRuleVerification() {
    super(
        new Name("MissingRuleVerification"),
        new Name("Missing Rule"),
        new Description("Detecting whether there are any missing business rules, "
            + "i.e. if there are rules missing for expected inputs."));
  }

  public static MissingRuleVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DecisionLogicLevelVerification.getInstance();
  }
}
