package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DrdModelingLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class MultipleInputDataVerification extends AbstractVerificationType {

  private static final MultipleInputDataVerification instance = new MultipleInputDataVerification();

  private MultipleInputDataVerification() {
    super(
        new Name("MultipleInputDataVerification"),
        new Name("Multiple Input Data"),
        new Description(
            "Detecting columns which has more than one input data (or output columns from decisions)."));
  }

  public static MultipleInputDataVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DrdModelingLevelVerification.getInstance();
  }
}
