package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DecisionLogicLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class PartialReductionVerification extends AbstractVerificationType {

  private static final PartialReductionVerification instance = new PartialReductionVerification();

  private PartialReductionVerification() {
    super(
        new Name("PartialReductionVerification"),
        new Name("Partial Reductions"),
        new Description("Checking whether ranges can be combined to simplify decision tables."));
  }

  public static PartialReductionVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DecisionLogicLevelVerification.getInstance();
  }
}
