package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ModelingLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class PredefinedMissingValueVerification extends AbstractVerificationType {

  private static final PredefinedMissingValueVerification instance =
      new PredefinedMissingValueVerification();

  private PredefinedMissingValueVerification() {
    super(
        new Name("PredefinedMissingValueVerification"),
        new Name("Predefined Missing Values"),
        new Description(
            "Detecting predefined string values of a column, "
                + "which itself are not used in the column."));
  }

  public static PredefinedMissingValueVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return ModelingLevelVerification.getInstance();
  }
}
