package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.ClassificationType;
import de.unikoblenz.fgbks.core.dmn.verification.verifier.classification.DecisionLogicLevelVerification;
import javax.validation.constraints.NotNull;

@Type
public class SubsumptionVerification extends AbstractVerificationType {

  private static final SubsumptionVerification instance = new SubsumptionVerification();

  private SubsumptionVerification() {
    super(
        new Name("SubsumptionVerification"),
        new Name("Rule Subsumptions"),
        new Description(
            "Detecting  individual  rules  which  are  subsumed by other rules,"
                + " i.e. they are not necessary."
                + " For example, rules containing wildcards often render more specific"
                + " rules unnecessary due to subsumption."));
  }

  public static SubsumptionVerification getInstance() {
    return instance;
  }

  @Override
  public @NotNull ClassificationType getClassification() {
    return DecisionLogicLevelVerification.getInstance();
  }
}
