package de.unikoblenz.fgbks.base.utils.boundary.checker;

import static de.unikoblenz.fgbks.core.dmn.domain.vdmn.VTypeRef.DOUBLE;
import static de.unikoblenz.fgbks.core.dmn.domain.vdmn.VTypeRef.INTEGER;
import static de.unikoblenz.fgbks.core.dmn.domain.vdmn.VTypeRef.LONG;
import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

import de.unikoblenz.fgbks.base.utils.boundary.Boundary;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VTypeRef;

public abstract class AbstractCheckerTest {

  protected BoundaryCheck checker;

  protected void doNumCheck(String b1, String b2, boolean expected) {
    doCheck(INTEGER, b1, b2, expected);
    doCheck(LONG, b1, b2, expected);
    doCheck(DOUBLE, b1, b2, expected);
    if (checkBothWays()) {
      doCheck(INTEGER, b2, b1, expected);
      doCheck(LONG, b2, b1, expected);
      doCheck(DOUBLE, b2, b1, expected);
    }
  }

  private void doCheck(VTypeRef type, String b1, String b2, boolean expected) {
    doCheck(type.getBoundaryFromText(b1), type.getBoundaryFromText(b2), expected);
  }

  private void doCheck(Boundary b1, Boundary b2, boolean expected) {
    if (expected) {
      assertTrue(checker.check(b1, b2), b1.getText() + " / " + b2.getText());
    } else {
      assertFalse(checker.check(b1, b2), b1.getText() + " / " + b2.getText());
    }
  }

  protected abstract boolean checkBothWays();
}
