package de.unikoblenz.fgbks.base.utils.boundary.checker;

import io.quarkus.test.junit.QuarkusTest;
import org.junit.jupiter.api.Test;

@QuarkusTest
class CheckStringInContactTest extends AbstractStringCheckerTest {

  @Test
  void check() {
    super.checker = CheckStringInContact.getInstance();
    doStringCheck("\"a\"", "\"a\"", true);
    doStringCheck("\"a\"", "\"b\"", false);
    doStringCheck("\"a\"", "not(\"a\")", false);
    doStringCheck("\"a\"", "not(\"b\")", true);
    doStringCheck("\"a\"", "\"a\",\"b\"", true);
    doStringCheck("\"a\"", "\"c\",\"b\"", false);
    doStringCheck("\"a\"", "not(\"a\",\"b\")", false);
    doStringCheck("\"a\"", "not(\"c\",\"b\")", true);
    doStringCheck("", "not(\"c\",\"b\")", true);
    doStringCheck("", "\"c\",\"b\"", true);
    doStringCheck("", "\"c\"", true);
    doStringCheck("", "", true);
  }

  @Override
  protected boolean checkBothWays() {
    return true;
  }
}
