package de.unikoblenz.fgbks.base.utils.boundary.creater;

import static org.junit.jupiter.api.Assertions.assertArrayEquals;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import io.quarkus.test.junit.QuarkusTest;
import org.junit.jupiter.api.Test;

@QuarkusTest
class CreaterStringLowerTest {

  @Test
  public void testStringLower() {
    StringBoundary sb = StringBoundary.getBuilder().addValue("a").build();
    assertEquals("a", sb.getValues()[0]);
    assertFalse(sb.matchesAny());
    assertFalse(sb.matchesNoneOfValues());
    assertEquals("\"a\"", sb.getText());

    StringBoundary sb2 = (StringBoundary) sb.create(BoundaryCreaterType.LOWER).get();
    assertArrayEquals(sb.getValues(), sb2.getValues());
    assertTrue(sb2.matchesNoneOfValues());
    assertFalse(sb.matchesAny());
  }
}
